feldspar-compiler-0.6.0.2: Compiler for the Feldspar language

Safe Haskell | None

Feldspar.Compiler.Backend.C.Library

# Documentation

module System.Console.ANSI

data CompilationMode

Constructors

Interactive |
Standalone |

Instances

Eq CompilationMode |
Show CompilationMode |

type AllocationInfo = ([Type], [Type], [Type])

replace :: Eq a => [a] -> [a] -> [a] -> [a]

fixFunctionName :: String -> String

makeDebugHFileName :: String -> String

makeDebugCFileName :: String -> String

makeHFileName :: String -> String

makeCFileName :: String -> String

newName :: Monad m => String -> StateT Integer m String

withColor :: Color -> IO () -> IO ()